XMMS和lumaqq声音冲突的问题

为当前最终发行版之前的所有版本提供支持
回复
头像
dazhou
帖子: 31
注册时间: 2006-04-30 23:27
送出感谢: 0
接收感谢: 0

XMMS和lumaqq声音冲突的问题

#1

帖子 dazhou » 2006-05-02 23:53

通过链接后,QQ总算是有声音了。但又出现一个问题,就是如果我把XMMS打开的话,lumaqq的声音就又没有了,是不是XMMS要独占资源啊?请问有什么可以方法可以解决?
我看到的出错信息是
[Sound] ERROR edu.tsinghua.lumaqq.Sounder - Audio Device Unavailable
头像
madoldman
帖子: 599
注册时间: 2006-02-27 20:19
来自: works system
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 madoldman » 2006-05-03 1:25

好像Linux下程序对声卡都是独占的阿,一个占用了其他就没声音了,我也被困扰了好久了,关注中
东西路,南北走
十字路口人咬狗
拿起狗来打砖头
砖头咬了狗一口
图片
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 karron » 2006-05-03 8:14

在论坛,或者主页搜索混音试试。
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
tt7646
帖子: 163
注册时间: 2006-03-26 17:16
来自: 广东中山
送出感谢: 0
接收感谢: 0

#4

帖子 tt7646 » 2006-05-03 10:46

http://lumaqq.linuxsir.org/main/?q=node/59




不知道这里能不能帮到你~~~

代码: 全选

 在Linux下独占声卡怎么办?

在Linux下独占声卡怎么办?

答:这个问题确实比较棘手,我浏览了Java Sound API,似乎没有发现解决的办法,在这里表示抱歉。目前提供给你以下方案:
1. 禁止声音提示
2. 如果是在KDE下,可是尝试artsdsp lumaqq来启动,就可以启用多音频流了。 (方法来自KanKer网友)
3. 如果是在Gnome下,可以尝试esddsp命令启动lumaqq。(方法来自jhuangjiahua网友)

以上方法不保证就一定能行,第一种自然最简单直接。由于还有消息提示功能保底,所以关闭声音应该影响不大。

下面是一些网友提供的方法,可供参考:
 
[quote]
摘自xlwcat的帖子

如果你用的是OSS, 在用户底下建立一个.asoundrc文件
 cat2pig ~ # cat .asoundrc
 pcm.dmixer {
    type dmix
    ipc_key 1024
    slave {
       pcm "hw:0,0"
       period_time 0
       period_size 1024
       buffer_size 8192
       rate 44100
    }
    bindings {
       0 0
       1 1
    }
 }
 pcm.dsp0 {
    type plug
    slave.pcm "dmixer"
 }
 pcm.!default {
    type plug
    slave.pcm "dmixer"
 }
 pcm.default {
    type plug
    slave.pcm "dmixer"
 }
 ctl.mixer0 {
    type hw
    card 0
 }
 这样可以使用软件混音器实现多音频流。
 然后用aoss lumaqq来启动lumaqq,就可以在听歌看片的时候也听到QQ的 嘀嘀。。
 
[/quote]



[quote]
摘自sunmoon1997的帖子

把下面的文件保存为 /etc/asound.conf
http://www.magiclinux.org/people/sunmoon1997/configfiles/alsa/asound.conf
然后, 把所有要用到声卡的驱动都指定为 alsa, 用以下命令启动:
export LD_PRELOAD=/usr/lib/libasound.so
lumaqq
[/quote]
[/quote]
头像
dazhou
帖子: 31
注册时间: 2006-04-30 23:27
送出感谢: 0
接收感谢: 0

#5

帖子 dazhou » 2006-05-04 11:09

两种方法都试了,还是不行。
头像
renex
帖子: 269
注册时间: 2006-04-29 21:45
来自: Shanghai
送出感谢: 0
接收感谢: 0

#6

帖子 renex » 2006-05-04 16:03

这个确实比较麻烦
头像
zlfaigo
帖子: 220
注册时间: 2006-03-23 17:11
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 zlfaigo » 2006-05-12 21:11

将就着用吧
ahlongxp
帖子: 209
注册时间: 2006-03-06 19:16
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 ahlongxp » 2006-05-12 23:03

看这个帖,绝对可以搞定
http://linux.hiweed.com/node/1876

可惜SKYPE不能和别人共享啊
回复

回到 “老旧版本支持”